Skip to main content
GET
/
pipelines
/
{id}
/
actions
curl "https://api2.ecomailapp.cz/pipelines/42/actions" \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "data": [
    {
      "id": "abc-123",
      "type": "mail",
      "properties": {
        "name": "Welcome email",
        "template": 42
      }
    },
    {
      "id": "def-456",
      "type": "wait",
      "properties": {
        "days": 3
      }
    },
    {
      "id": "ghi-789",
      "type": "tag",
      "properties": {
        "tag": "engaged"
      }
    }
  ]
}
id
integer
required
Automation ID.
curl "https://api2.ecomailapp.cz/pipelines/42/actions" \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "data": [
    {
      "id": "abc-123",
      "type": "mail",
      "properties": {
        "name": "Welcome email",
        "template": 42
      }
    },
    {
      "id": "def-456",
      "type": "wait",
      "properties": {
        "days": 3
      }
    },
    {
      "id": "ghi-789",
      "type": "tag",
      "properties": {
        "tag": "engaged"
      }
    }
  ]
}

Action types

TypeDescription
mailSend an email.
smsSend an SMS.
waitWait for a specified duration.
checkConditional branch (if/else).
splitA/B split test.
tagAdd a tag to the subscriber.
untagRemove a tag from the subscriber.
subscribeSubscribe to a list.
unsubscribeUnsubscribe from a list.
editEdit subscriber fields.
webhookSend a webhook.
triggerTrigger another automation.
goalGoal (wait for condition).
endEnd of automation.
noteInternal note.